* Ways to call:
* gen_bs, infile() outfile
* gen_bs, justrandom
program gen_bs
	syntax , [infile(string) outfile(string) justrandom]
	
	set seed ${RNG_state${pll_instance}}
	
	if "`justrandom'"!=""{
		forval i=1/${reps${pll_instance}} {
			bsample
		}
		exit 0
	}
	
	cap log close logbs
	log using "bs_run${pll_instance}.log", replace name(logbs)
	
	cap postclose postbs
	postfile postbs float beta_const float se_const using "`outfile'${pll_instance}", replace 

	forvalues i = 1/${reps${pll_instance}}{
		sysuse `infile', clear
		bsample
		* Replace with own estimations
		qui reg price weight
		
		post postbs (_b[_cons]) (_se[_cons])
	}
	postclose postbs
	
	log close logbs
end
*Safety: Last line not executed.
